IRremoteESP8266

Functions | Variables
IRtext.cpp File Reference

## Functions
| IRTEXT_CONST_STRING (kUnknownStr, D_STR_UNKNOWN)
| "Unknown" More...
| IRTEXT_CONST_STRING (kProtocolStr, D_STR_PROTOCOL)
| "Protocol" More...
| IRTEXT_CONST_STRING (kPowerStr, D_STR_POWER)
| "Power" More...
| IRTEXT_CONST_STRING (kOnStr, D_STR_ON)
| "On" More...
| IRTEXT_CONST_STRING (kOffStr, D_STR_OFF)
| "Off" More...
| IRTEXT_CONST_STRING (k1Str, D_STR_1)
| "1" More...
| IRTEXT_CONST_STRING (k0Str, D_STR_0)
| "0" More...
| IRTEXT_CONST_STRING (kModeStr, D_STR_MODE)
| "Mode" More...
| IRTEXT_CONST_STRING (kToggleStr, D_STR_TOGGLE)
| "Toggle" More...
| IRTEXT_CONST_STRING (kTurboStr, D_STR_TURBO)
| "Turbo" More...
| IRTEXT_CONST_STRING (kSuperStr, D_STR_SUPER)
| "Super" More...
| IRTEXT_CONST_STRING (kSleepStr, D_STR_SLEEP)
| "Sleep" More...
| IRTEXT_CONST_STRING (kLightStr, D_STR_LIGHT)
| "Light" More...
| IRTEXT_CONST_STRING (kPowerfulStr, D_STR_POWERFUL)
| "Powerful" More...
| IRTEXT_CONST_STRING (kQuietStr, D_STR_QUIET)
| "Quiet" More...
| IRTEXT_CONST_STRING (kEconoStr, D_STR_ECONO)
| "Econo" More...
| IRTEXT_CONST_STRING (kSwingStr, D_STR_SWING)
| "Swing" More...
| IRTEXT_CONST_STRING (kSwingHStr, D_STR_SWINGH)
| "SwingH" More...
| IRTEXT_CONST_STRING (kSwingVStr, D_STR_SWINGV)
| "SwingV" More...
| IRTEXT_CONST_STRING (kBeepStr, D_STR_BEEP)
| "Beep" More...
| IRTEXT_CONST_STRING (kZoneFollowStr, D_STR_ZONEFOLLOW)
| "Zone Follow" More...
| IRTEXT_CONST_STRING (kFixedStr, D_STR_FIXED)
| "Fixed" More...
| IRTEXT_CONST_STRING (kMouldStr, D_STR_MOULD)
| "Mould" More...
| IRTEXT_CONST_STRING (kCleanStr, D_STR_CLEAN)
| "Clean" More...
| IRTEXT_CONST_STRING (kPurifyStr, D_STR_PURIFY)
| "Purify" More...
| IRTEXT_CONST_STRING (kTimerStr, D_STR_TIMER)
| "Timer" More...
| IRTEXT_CONST_STRING (kOnTimerStr, D_STR_ONTIMER)
| "On Timer" More...
| IRTEXT_CONST_STRING (kOffTimerStr, D_STR_OFFTIMER)
| "Off Timer" More...
| IRTEXT_CONST_STRING (kTimerModeStr, D_STR_TIMERMODE)
| "Timer Mode" More...
| IRTEXT_CONST_STRING (kClockStr, D_STR_CLOCK)
| "Clock" More...
| IRTEXT_CONST_STRING (kCommandStr, D_STR_COMMAND)
| "Command" More...
| IRTEXT_CONST_STRING (kConfigCommandStr, D_STR_CONFIG)
| "Config" More...
| IRTEXT_CONST_STRING (kControlCommandStr, D_STR_CONTROL)
| "Control" More...
| IRTEXT_CONST_STRING (kXFanStr, D_STR_XFAN)
| "XFan" More...
| IRTEXT_CONST_STRING (kHealthStr, D_STR_HEALTH)
| "Health" More...
| IRTEXT_CONST_STRING (kModelStr, D_STR_MODEL)
| "Model" More...
| IRTEXT_CONST_STRING (kTempStr, D_STR_TEMP)
| "Temp" More...
| IRTEXT_CONST_STRING (kIFeelReportStr, D_STR_IFEELREPORT)
| "IFeel Report" More...
| IRTEXT_CONST_STRING (kIFeelStr, D_STR_IFEEL)
| "IFeel" More...
| IRTEXT_CONST_STRING (kHumidStr, D_STR_HUMID)
| "Humid" More...
| IRTEXT_CONST_STRING (kSaveStr, D_STR_SAVE)
| "Save" More...
| IRTEXT_CONST_STRING (kEyeStr, D_STR_EYE)
| "Eye" More...
| IRTEXT_CONST_STRING (kFollowStr, D_STR_FOLLOW)
| "Follow" More...
| IRTEXT_CONST_STRING (kIonStr, D_STR_ION)
| "Ion" More...
| IRTEXT_CONST_STRING (kFreshStr, D_STR_FRESH)
| "Fresh" More...
| IRTEXT_CONST_STRING (kHoldStr, D_STR_HOLD)
| "Hold" More...
| IRTEXT_CONST_STRING (kButtonStr, D_STR_BUTTON)
| "Button" More...
| IRTEXT_CONST_STRING (k8CHeatStr, D_STR_8C_HEAT)
| "8C Heat" More...
| IRTEXT_CONST_STRING (k10CHeatStr, D_STR_10C_HEAT)
| "10C Heat" More...
| IRTEXT_CONST_STRING (kISeeStr, D_STR_ISEE)
| "ISee" More...
| IRTEXT_CONST_STRING (kAbsenseDetectStr, D_STR_ABSENSEDETECT)
| "AbsenseDetect" More...
| IRTEXT_CONST_STRING (kDirectIndirectModeStr, D_STR_DIRECTINDIRECTMODE)
| "Direct/Indirect mode" More...
| IRTEXT_CONST_STRING (kDirectStr, D_STR_DIRECT)
| "Direct" More...
| IRTEXT_CONST_STRING (kIndirectStr, D_STR_INDIRECT)
| "Indirect" More...
| IRTEXT_CONST_STRING (kNightStr, D_STR_NIGHT)
| "Night" More...
| IRTEXT_CONST_STRING (kSilentStr, D_STR_SILENT)
| "Silent" More...
| IRTEXT_CONST_STRING (kFilterStr, D_STR_FILTER)
| "Filter" More...
| IRTEXT_CONST_STRING (k3DStr, D_STR_3D)
| "3D" More...
| IRTEXT_CONST_STRING (kCelsiusStr, D_STR_CELSIUS)
| "Celsius" More...
| IRTEXT_CONST_STRING (kCelsiusFahrenheitStr, D_STR_CELSIUS_FAHRENHEIT)
| "Celsius/Fahrenheit" More...
| IRTEXT_CONST_STRING (kTempUpStr, D_STR_TEMPUP)
| "Temp Up" More...
| IRTEXT_CONST_STRING (kTempDownStr, D_STR_TEMPDOWN)
| "Temp Down" More...
| IRTEXT_CONST_STRING (kStartStr, D_STR_START)
| "Start" More...
| IRTEXT_CONST_STRING (kStopStr, D_STR_STOP)
| "Stop" More...
| IRTEXT_CONST_STRING (kMoveStr, D_STR_MOVE)
| "Move" More...
| IRTEXT_CONST_STRING (kSetStr, D_STR_SET)
| "Set" More...
| IRTEXT_CONST_STRING (kCancelStr, D_STR_CANCEL)
| "Cancel" More...
| IRTEXT_CONST_STRING (kUpStr, D_STR_UP)
| "Up" More...
| IRTEXT_CONST_STRING (kDownStr, D_STR_DOWN)
| "Down" More...
| IRTEXT_CONST_STRING (kChangeStr, D_STR_CHANGE)
| "Change" More...
| IRTEXT_CONST_STRING (kComfortStr, D_STR_COMFORT)
| "Comfort" More...
| IRTEXT_CONST_STRING (kSensorStr, D_STR_SENSOR)
| "Sensor" More...
| IRTEXT_CONST_STRING (kWeeklyTimerStr, D_STR_WEEKLYTIMER)
| "WeeklyTimer" More...
| IRTEXT_CONST_STRING (kWifiStr, D_STR_WIFI)
| "Wifi" More...
| IRTEXT_CONST_STRING (kLastStr, D_STR_LAST)
| "Last" More...
| IRTEXT_CONST_STRING (kFastStr, D_STR_FAST)
| "Fast" More...
| IRTEXT_CONST_STRING (kSlowStr, D_STR_SLOW)
| "Slow" More...
| IRTEXT_CONST_STRING (kAirFlowStr, D_STR_AIRFLOW)
| "Air Flow" More...
| IRTEXT_CONST_STRING (kStepStr, D_STR_STEP)
| "Step" More...
| IRTEXT_CONST_STRING (kNAStr, D_STR_NA)
| "N/A" More...
| IRTEXT_CONST_STRING (kInsideStr, D_STR_INSIDE)
| "Inside" More...
| IRTEXT_CONST_STRING (kOutsideStr, D_STR_OUTSIDE)
| "Outside" More...
| IRTEXT_CONST_STRING (kLoudStr, D_STR_LOUD)
| "Loud" More...
| IRTEXT_CONST_STRING (kLowerStr, D_STR_LOWER)
| "Lower" More...
| IRTEXT_CONST_STRING (kUpperStr, D_STR_UPPER)
| "Upper" More...
| IRTEXT_CONST_STRING (kUpperMiddleStr, D_STR_UPPER_MIDDLE)
| "Upper-Middle" More...
| IRTEXT_CONST_STRING (kBreezeStr, D_STR_BREEZE)
| "Breeze" More...
| IRTEXT_CONST_STRING (kCirculateStr, D_STR_CIRCULATE)
| "Circulate" More...
| IRTEXT_CONST_STRING (kCeilingStr, D_STR_CEILING)
| "Ceiling" More...
| IRTEXT_CONST_STRING (kWallStr, D_STR_WALL)
| "Wall" More...
| IRTEXT_CONST_STRING (kRoomStr, D_STR_ROOM)
| "Room" More...
| IRTEXT_CONST_STRING (k6thSenseStr, D_STR_6THSENSE)
| "6th Sense" More...
| IRTEXT_CONST_STRING (kTypeStr, D_STR_TYPE)
| "Type" More...
| IRTEXT_CONST_STRING (kSpecialStr, D_STR_SPECIAL)
| "Special" More...
| IRTEXT_CONST_STRING (kIdStr, D_STR_ID)
| "Id" / Device Identifier More...
| IRTEXT_CONST_STRING (kVaneStr, D_STR_VANE)
| "Vane" More...
| IRTEXT_CONST_STRING (kLockStr, D_STR_LOCK)
| "Lock" More...
| IRTEXT_CONST_STRING (kAutoStr, D_STR_AUTO)
| "Auto" More...
| IRTEXT_CONST_STRING (kAutomaticStr, D_STR_AUTOMATIC)
| "Automatic" More...
| IRTEXT_CONST_STRING (kManualStr, D_STR_MANUAL)
| "Manual" More...
| IRTEXT_CONST_STRING (kCoolStr, D_STR_COOL)
| "Cool" More...
| IRTEXT_CONST_STRING (kCoolingStr, D_STR_COOLING)
| "Cooling" More...
| IRTEXT_CONST_STRING (kHeatStr, D_STR_HEAT)
| "Heat" More...
| IRTEXT_CONST_STRING (kHeatingStr, D_STR_HEATING)
| "Heating" More...
| IRTEXT_CONST_STRING (kDryStr, D_STR_DRY)
| "Dry" More...
| IRTEXT_CONST_STRING (kDryingStr, D_STR_DRYING)
| "Drying" More...
| IRTEXT_CONST_STRING (kDehumidifyStr, D_STR_DEHUMIDIFY)
| "Dehumidify" More...
| IRTEXT_CONST_STRING (kFanStr, D_STR_FAN)
| "Fan" More...
| IRTEXT_CONST_STRING (kFanOnlyStr, D_STR_FANONLY)
| "fan-only" More...
| IRTEXT_CONST_STRING (kFan_OnlyStr, D_STR_FAN_ONLY)
| "fan_only" (HA/legacy) More...
| IRTEXT_CONST_STRING (kFanOnlyWithSpaceStr, D_STR_FANSPACEONLY)
| "Fan Only" More...
| IRTEXT_CONST_STRING (kFanOnlyNoSpaceStr, D_STR_FANONLYNOSPACE)
| "FanOnly" More...
| IRTEXT_CONST_STRING (kRecycleStr, D_STR_RECYCLE)
| "Recycle" More...
| IRTEXT_CONST_STRING (kMaxStr, D_STR_MAX)
| "Max" More...
| IRTEXT_CONST_STRING (kMaximumStr, D_STR_MAXIMUM)
| "Maximum" More...
| IRTEXT_CONST_STRING (kMinStr, D_STR_MIN)
| "Min" More...
| IRTEXT_CONST_STRING (kMinimumStr, D_STR_MINIMUM)
| "Minimum" More...
| IRTEXT_CONST_STRING (kMedHighStr, D_STR_MED_HIGH)
| "Med-high" More...
| IRTEXT_CONST_STRING (kMedStr, D_STR_MED)
| "Med" More...
| IRTEXT_CONST_STRING (kMediumStr, D_STR_MEDIUM)
| "Medium" More...
| IRTEXT_CONST_STRING (kHighestStr, D_STR_HIGHEST)
| "Highest" More...
| IRTEXT_CONST_STRING (kHighStr, D_STR_HIGH)
| "High" More...
| IRTEXT_CONST_STRING (kHiStr, D_STR_HI)
| "Hi" More...
| IRTEXT_CONST_STRING (kMidStr, D_STR_MID)
| "Mid" More...
| IRTEXT_CONST_STRING (kMiddleStr, D_STR_MIDDLE)
| "Middle" More...
| IRTEXT_CONST_STRING (kLowStr, D_STR_LOW)
| "Low" More...
| IRTEXT_CONST_STRING (kLoStr, D_STR_LO)
| "Lo" More...
| IRTEXT_CONST_STRING (kLowestStr, D_STR_LOWEST)
| "Lowest" More...
| IRTEXT_CONST_STRING (kMaxRightStr, D_STR_MAXRIGHT)
| "Max Right" More...
| IRTEXT_CONST_STRING (kMaxRightNoSpaceStr, D_STR_MAXRIGHT_NOSPACE)
| "MaxRight" More...
| IRTEXT_CONST_STRING (kRightMaxStr, D_STR_RIGHTMAX)
| "Right Max" More...
| IRTEXT_CONST_STRING (kRightMaxNoSpaceStr, D_STR_RIGHTMAX_NOSPACE)
| "RightMax" More...
| IRTEXT_CONST_STRING (kRightStr, D_STR_RIGHT)
| "Right" More...
| IRTEXT_CONST_STRING (kLeftStr, D_STR_LEFT)
| "Left" More...
| IRTEXT_CONST_STRING (kMaxLeftStr, D_STR_MAXLEFT)
| "Max Left" More...
| IRTEXT_CONST_STRING (kMaxLeftNoSpaceStr, D_STR_MAXLEFT_NOSPACE)
| "MaxLeft" More...
| IRTEXT_CONST_STRING (kLeftMaxStr, D_STR_LEFTMAX)
| "Left Max" More...
| IRTEXT_CONST_STRING (kLeftMaxNoSpaceStr, D_STR_LEFTMAX_NOSPACE)
| "LeftMax" More...
| IRTEXT_CONST_STRING (kWideStr, D_STR_WIDE)
| "Wide" More...
| IRTEXT_CONST_STRING (kCentreStr, D_STR_CENTRE)
| "Centre" More...
| IRTEXT_CONST_STRING (kTopStr, D_STR_TOP)
| "Top" More...
| IRTEXT_CONST_STRING (kBottomStr, D_STR_BOTTOM)
| "Bottom" More...
| IRTEXT_CONST_STRING (kEconoToggleStr, D_STR_ECONOTOGGLE)
| "Econo Toggle" More...
| IRTEXT_CONST_STRING (kEyeAutoStr, D_STR_EYEAUTO)
| "Eye Auto" More...
| IRTEXT_CONST_STRING (kLightToggleStr, D_STR_LIGHTTOGGLE)
| "Light Toggle" "Outside Quiet" More...
| IRTEXT_CONST_STRING (kOutsideQuietStr, D_STR_OUTSIDEQUIET)
| IRTEXT_CONST_STRING (kPowerToggleStr, D_STR_POWERTOGGLE)
| "Power Toggle" More...
| IRTEXT_CONST_STRING (kPowerButtonStr, D_STR_POWERBUTTON)
| "Power Button" More...
| IRTEXT_CONST_STRING (kPreviousPowerStr, D_STR_PREVIOUSPOWER)
| "Previous Power" More...
| IRTEXT_CONST_STRING (kDisplayTempStr, D_STR_DISPLAYTEMP)
| "Display Temp" More...
| IRTEXT_CONST_STRING (kSensorTempStr, D_STR_SENSORTEMP)
| "Sensor Temp" More...
| IRTEXT_CONST_STRING (kSleepTimerStr, D_STR_SLEEP_TIMER)
| "Sleep Timer" More...
| IRTEXT_CONST_STRING (kSwingVModeStr, D_STR_SWINGVMODE)
| "Swing(V) Mode" More...
| IRTEXT_CONST_STRING (kSwingVToggleStr, D_STR_SWINGVTOGGLE)
| "Swing(V) Toggle" More...
| IRTEXT_CONST_STRING (kTurboToggleStr, D_STR_TURBOTOGGLE)
| "Turbo Toggle" More...
| IRTEXT_CONST_STRING (kSetTimerCommandStr, D_STR_SET_TIMER)
| "Set Timer" More...
| IRTEXT_CONST_STRING (kScheduleStr, D_STR_SCHEDULE)
| "Schedule" More...
| IRTEXT_CONST_STRING (kChStr, D_STR_CH)
| "CH#" More...
| IRTEXT_CONST_STRING (kTimerActiveDaysStr, D_STR_TIMER_ACTIVE_DAYS)
| "TimerActiveDays" More...
| IRTEXT_CONST_STRING (kKeyStr, D_STR_KEY)
| "Key" More...
| IRTEXT_CONST_STRING (kValueStr, D_STR_VALUE)
| "Value" More...
| IRTEXT_CONST_STRING (kSpaceLBraceStr, D_STR_SPACELBRACE)
| " (" More...
| IRTEXT_CONST_STRING (kCommaSpaceStr, D_STR_COMMASPACE)
| ", " More...
| IRTEXT_CONST_STRING (kColonSpaceStr, D_STR_COLONSPACE)
| ": " More...
| IRTEXT_CONST_STRING (kDashStr, D_STR_DASH)
| "-" More...
| IRTEXT_CONST_STRING (kDayStr, D_STR_DAY)
| "Day" More...
| IRTEXT_CONST_STRING (kDaysStr, D_STR_DAYS)
| "Days" More...
| IRTEXT_CONST_STRING (kHourStr, D_STR_HOUR)
| "Hour" More...
| IRTEXT_CONST_STRING (kHoursStr, D_STR_HOURS)
| "Hours" More...
| IRTEXT_CONST_STRING (kMinuteStr, D_STR_MINUTE)
| "Minute" More...
| IRTEXT_CONST_STRING (kMinutesStr, D_STR_MINUTES)
| "Minutes" More...
| IRTEXT_CONST_STRING (kSecondStr, D_STR_SECOND)
| "Second" More...
| IRTEXT_CONST_STRING (kSecondsStr, D_STR_SECONDS)
| "Seconds" More...
| IRTEXT_CONST_STRING (kNowStr, D_STR_NOW)
| "Now" More...
| IRTEXT_CONST_STRING (kThreeLetterDayOfWeekStr, D_STR_THREELETTERDAYS)
| "SunMonTueWedThuFriSat" More...
| IRTEXT_CONST_STRING (kYesStr, D_STR_YES)
| "Yes" More...
| IRTEXT_CONST_STRING (kNoStr, D_STR_NO)
| "No" More...
| IRTEXT_CONST_STRING (kTrueStr, D_STR_TRUE)
| "True" More...
| IRTEXT_CONST_STRING (kFalseStr, D_STR_FALSE)
| "False" More...
| IRTEXT_CONST_STRING (kRepeatStr, D_STR_REPEAT)
| "Repeat" More...
| IRTEXT_CONST_STRING (kCodeStr, D_STR_CODE)
| "Code" More...
| IRTEXT_CONST_STRING (kBitsStr, D_STR_BITS)
| "Bits" More...
| IRTEXT_CONST_STRING (kYaw1fStr, D_STR_YAW1F)
| "YAW1F" More...
| IRTEXT_CONST_STRING (kYbofbStr, D_STR_YBOFB)
| "YBOFB" More...
| IRTEXT_CONST_STRING (kYx1fsfStr, D_STR_YX1FSF)
| "YX1FSF" More...
| IRTEXT_CONST_STRING (kV9014557AStr, D_STR_V9014557_A)
| "V9014557-A" More...
| IRTEXT_CONST_STRING (kV9014557BStr, D_STR_V9014557_B)
| "V9014557-B" More...
| IRTEXT_CONST_STRING (kRlt0541htaaStr, D_STR_RLT0541HTA_A)
| "R-LT0541-HTA-A" More...
| IRTEXT_CONST_STRING (kRlt0541htabStr, D_STR_RLT0541HTA_B)
| "R-LT0541-HTA-B" More...
| IRTEXT_CONST_STRING (kArrah2eStr, D_STR_ARRAH2E)
| "ARRAH2E" More...
| IRTEXT_CONST_STRING (kArdb1Str, D_STR_ARDB1)
| "ARDB1" More...
| IRTEXT_CONST_STRING (kArreb1eStr, D_STR_ARREB1E)
| "ARREB1E" More...
| IRTEXT_CONST_STRING (kArjw2Str, D_STR_ARJW2)
| "ARJW2" More...
| IRTEXT_CONST_STRING (kArry4Str, D_STR_ARRY4)
| "ARRY4" More...
| IRTEXT_CONST_STRING (kArrew4eStr, D_STR_ARREW4E)
| "ARREW4E" More...
| IRTEXT_CONST_STRING (kGe6711ar2853mStr, D_STR_GE6711AR2853M)
| "GE6711AR2853M" More...
| IRTEXT_CONST_STRING (kAkb75215403Str, D_STR_AKB75215403)
| "AKB75215403" More...
| IRTEXT_CONST_STRING (kAkb74955603Str, D_STR_AKB74955603)
| "AKB74955603" More...
| IRTEXT_CONST_STRING (kAkb73757604Str, D_STR_AKB73757604)
| "AKB73757604" More...
| IRTEXT_CONST_STRING (kLg6711a20083vStr, D_STR_LG6711A20083V)
| "LG6711A20083V" More...
| IRTEXT_CONST_STRING (kKkg9ac1Str, D_STR_KKG9AC1)
| "KKG9AC1" More...
| IRTEXT_CONST_STRING (kKkg29ac1Str, D_STR_KKG29AC1)
| "KKG29AC1" More...
| IRTEXT_CONST_STRING (kLkeStr, D_STR_LKE)
| "LKE" More...
| IRTEXT_CONST_STRING (kNkeStr, D_STR_NKE)
| "NKE" More...
| IRTEXT_CONST_STRING (kDkeStr, D_STR_DKE)
| "DKE" More...
| IRTEXT_CONST_STRING (kPkrStr, D_STR_PKR)
| "PKR" More...
| IRTEXT_CONST_STRING (kJkeStr, D_STR_JKE)
| "JKE" More...
| IRTEXT_CONST_STRING (kCkpStr, D_STR_CKP)
| "CKP" More...
| IRTEXT_CONST_STRING (kRkrStr, D_STR_RKR)
| "RKR" More...
| IRTEXT_CONST_STRING (kPanasonicLkeStr, D_STR_PANASONICLKE)
| "PANASONICLKE" More...
| IRTEXT_CONST_STRING (kPanasonicNkeStr, D_STR_PANASONICNKE)
| "PANASONICNKE" More...
| IRTEXT_CONST_STRING (kPanasonicDkeStr, D_STR_PANASONICDKE)
| "PANASONICDKE" More...
| IRTEXT_CONST_STRING (kPanasonicPkrStr, D_STR_PANASONICPKR)
| "PANASONICPKR" More...
| IRTEXT_CONST_STRING (kPanasonicJkeStr, D_STR_PANASONICJKE)
| "PANASONICJKE" More...
| IRTEXT_CONST_STRING (kPanasonicCkpStr, D_STR_PANASONICCKP)
| "PANASONICCKP" More...
| IRTEXT_CONST_STRING (kPanasonicRkrStr, D_STR_PANASONICRKR)
| "PANASONICRKR" More...
| IRTEXT_CONST_STRING (kA907Str, D_STR_A907)
| "A907" More...
| IRTEXT_CONST_STRING (kA705Str, D_STR_A705)
| "A705" More...
| IRTEXT_CONST_STRING (kA903Str, D_STR_A903)
| "A903" More...
| IRTEXT_CONST_STRING (kTac09chsdStr, D_STR_TAC09CHSD)
| "TAC09CHSD" More...
| IRTEXT_CONST_STRING (kGz055be1Str, D_STR_GZ055BE1)
| "GZ055BE1" More...
| IRTEXT_CONST_STRING (k122lzfStr, D_STR_122LZF)
| "122LZF" More...
| IRTEXT_CONST_STRING (kDg11j13aStr, D_STR_DG11J13A)
| "DG11J13A" More...
| IRTEXT_CONST_STRING (kDg11j104Str, D_STR_DG11J104)
| "DG11J104" More...
| IRTEXT_CONST_STRING (kDg11j191Str, D_STR_DG11J191)
| "DG11J191" More...
| IRTEXT_CONST_STRING (kArgoWrem2Str, D_STR_ARGO_WREM2)
| "WREM3" More...
| IRTEXT_CONST_STRING (kArgoWrem3Str, D_STR_ARGO_WREM3)
| "WREM3" More...
| IRTEXT_CONST_BLOB_DECL (kAllProtocolNamesStr)
| IRTEXT_CONST_BLOB_PTR (kAllProtocolNamesStr)

## Variables
const char | kTimeSep = D_CHR_TIME_SEP
| ':' More...

## Detailed Description

Warning
  If you add or remove an entry in this file, you should run: '../tools/generate_irtext_h.sh' to rebuild the `IRtext.h` file.

## Function Documentation

## ◆ IRTEXT_CONST_BLOB_DECL()

IRTEXT_CONST_BLOB_DECL | ( | kAllProtocolNamesStr |  | ) |

< New protocol (macro) strings should be added just above this line.

< This string requires double null termination.

## ◆ IRTEXT_CONST_BLOB_PTR()

IRTEXT_CONST_BLOB_PTR | ( | kAllProtocolNamesStr |  | ) |

## ◆ IRTEXT_CONST_STRING() [1/227]

IRTEXT_CONST_STRING | ( | k0Str | ,
|  | D_STR_0 |
| ) |  |

"0"

## ◆ IRTEXT_CONST_STRING() [2/227]

IRTEXT_CONST_STRING | ( | k10CHeatStr | ,
|  | D_STR_10C_HEAT |
| ) |  |

"10C Heat"

## ◆ IRTEXT_CONST_STRING() [3/227]

IRTEXT_CONST_STRING | ( | k122lzfStr | ,
|  | D_STR_122LZF |
| ) |  |

"122LZF"

## ◆ IRTEXT_CONST_STRING() [4/227]

IRTEXT_CONST_STRING | ( | k1Str | ,
|  | D_STR_1 |
| ) |  |

"1"

## ◆ IRTEXT_CONST_STRING() [5/227]

IRTEXT_CONST_STRING | ( | k3DStr | ,
|  | D_STR_3D |
| ) |  |

"3D"

## ◆ IRTEXT_CONST_STRING() [6/227]

IRTEXT_CONST_STRING | ( | k6thSenseStr | ,
|  | D_STR_6THSENSE |
| ) |  |

"6th Sense"

## ◆ IRTEXT_CONST_STRING() [7/227]

IRTEXT_CONST_STRING | ( | k8CHeatStr | ,
|  | D_STR_8C_HEAT |
| ) |  |

"8C Heat"

## ◆ IRTEXT_CONST_STRING() [8/227]

IRTEXT_CONST_STRING | ( | kA705Str | ,
|  | D_STR_A705 |
| ) |  |

"A705"

## ◆ IRTEXT_CONST_STRING() [9/227]

IRTEXT_CONST_STRING | ( | kA903Str | ,
|  | D_STR_A903 |
| ) |  |

"A903"

## ◆ IRTEXT_CONST_STRING() [10/227]

IRTEXT_CONST_STRING | ( | kA907Str | ,
|  | D_STR_A907 |
| ) |  |

"A907"

## ◆ IRTEXT_CONST_STRING() [11/227]

IRTEXT_CONST_STRING | ( | kAbsenseDetectStr | ,
|  | D_STR_ABSENSEDETECT |
| ) |  |

"AbsenseDetect"

## ◆ IRTEXT_CONST_STRING() [12/227]

IRTEXT_CONST_STRING | ( | kAirFlowStr | ,
|  | D_STR_AIRFLOW |
| ) |  |

"Air Flow"

## ◆ IRTEXT_CONST_STRING() [13/227]

IRTEXT_CONST_STRING | ( | kAkb73757604Str | ,
|  | D_STR_AKB73757604 |
| ) |  |

"AKB73757604"

## ◆ IRTEXT_CONST_STRING() [14/227]

IRTEXT_CONST_STRING | ( | kAkb74955603Str | ,
|  | D_STR_AKB74955603 |
| ) |  |

"AKB74955603"

## ◆ IRTEXT_CONST_STRING() [15/227]

IRTEXT_CONST_STRING | ( | kAkb75215403Str | ,
|  | D_STR_AKB75215403 |
| ) |  |

"AKB75215403"

## ◆ IRTEXT_CONST_STRING() [16/227]

IRTEXT_CONST_STRING | ( | kArdb1Str | ,
|  | D_STR_ARDB1 |
| ) |  |

"ARDB1"

## ◆ IRTEXT_CONST_STRING() [17/227]

IRTEXT_CONST_STRING | ( | kArgoWrem2Str | ,
|  | D_STR_ARGO_WREM2 |
| ) |  |

"WREM3"

## ◆ IRTEXT_CONST_STRING() [18/227]

IRTEXT_CONST_STRING | ( | kArgoWrem3Str | ,
|  | D_STR_ARGO_WREM3 |
| ) |  |

"WREM3"

## ◆ IRTEXT_CONST_STRING() [19/227]

IRTEXT_CONST_STRING | ( | kArjw2Str | ,
|  | D_STR_ARJW2 |
| ) |  |

"ARJW2"

## ◆ IRTEXT_CONST_STRING() [20/227]

IRTEXT_CONST_STRING | ( | kArrah2eStr | ,
|  | D_STR_ARRAH2E |
| ) |  |

"ARRAH2E"

## ◆ IRTEXT_CONST_STRING() [21/227]

IRTEXT_CONST_STRING | ( | kArreb1eStr | ,
|  | D_STR_ARREB1E |
| ) |  |

"ARREB1E"

## ◆ IRTEXT_CONST_STRING() [22/227]

IRTEXT_CONST_STRING | ( | kArrew4eStr | ,
|  | D_STR_ARREW4E |
| ) |  |

"ARREW4E"

## ◆ IRTEXT_CONST_STRING() [23/227]

IRTEXT_CONST_STRING | ( | kArry4Str | ,
|  | D_STR_ARRY4 |
| ) |  |

"ARRY4"

## ◆ IRTEXT_CONST_STRING() [24/227]

IRTEXT_CONST_STRING | ( | kAutomaticStr | ,
|  | D_STR_AUTOMATIC |
| ) |  |

"Automatic"

## ◆ IRTEXT_CONST_STRING() [25/227]

IRTEXT_CONST_STRING | ( | kAutoStr | ,
|  | D_STR_AUTO |
| ) |  |

"Auto"

## ◆ IRTEXT_CONST_STRING() [26/227]

IRTEXT_CONST_STRING | ( | kBeepStr | ,
|  | D_STR_BEEP |
| ) |  |

"Beep"

## ◆ IRTEXT_CONST_STRING() [27/227]

IRTEXT_CONST_STRING | ( | kBitsStr | ,
|  | D_STR_BITS |
| ) |  |

"Bits"

## ◆ IRTEXT_CONST_STRING() [28/227]

IRTEXT_CONST_STRING | ( | kBottomStr | ,
|  | D_STR_BOTTOM |
| ) |  |

"Bottom"

## ◆ IRTEXT_CONST_STRING() [29/227]

IRTEXT_CONST_STRING | ( | kBreezeStr | ,
|  | D_STR_BREEZE |
| ) |  |

"Breeze"

## ◆ IRTEXT_CONST_STRING() [30/227]

IRTEXT_CONST_STRING | ( | kButtonStr | ,
|  | D_STR_BUTTON |
| ) |  |

"Button"

## ◆ IRTEXT_CONST_STRING() [31/227]

IRTEXT_CONST_STRING | ( | kCancelStr | ,
|  | D_STR_CANCEL |
| ) |  |

"Cancel"

## ◆ IRTEXT_CONST_STRING() [32/227]

IRTEXT_CONST_STRING | ( | kCeilingStr | ,
|  | D_STR_CEILING |
| ) |  |

"Ceiling"

## ◆ IRTEXT_CONST_STRING() [33/227]

IRTEXT_CONST_STRING | ( | kCelsiusFahrenheitStr | ,
|  | D_STR_CELSIUS_FAHRENHEIT |
| ) |  |

"Celsius/Fahrenheit"

## ◆ IRTEXT_CONST_STRING() [34/227]

IRTEXT_CONST_STRING | ( | kCelsiusStr | ,
|  | D_STR_CELSIUS |
| ) |  |

"Celsius"

## ◆ IRTEXT_CONST_STRING() [35/227]

IRTEXT_CONST_STRING | ( | kCentreStr | ,
|  | D_STR_CENTRE |
| ) |  |

"Centre"

## ◆ IRTEXT_CONST_STRING() [36/227]

IRTEXT_CONST_STRING | ( | kChangeStr | ,
|  | D_STR_CHANGE |
| ) |  |

"Change"

## ◆ IRTEXT_CONST_STRING() [37/227]

IRTEXT_CONST_STRING | ( | kChStr | ,
|  | D_STR_CH |
| ) |  |

"CH#"

## ◆ IRTEXT_CONST_STRING() [38/227]

IRTEXT_CONST_STRING | ( | kCirculateStr | ,
|  | D_STR_CIRCULATE |
| ) |  |

"Circulate"

## ◆ IRTEXT_CONST_STRING() [39/227]

IRTEXT_CONST_STRING | ( | kCkpStr | ,
|  | D_STR_CKP |
| ) |  |

"CKP"

## ◆ IRTEXT_CONST_STRING() [40/227]

IRTEXT_CONST_STRING | ( | kCleanStr | ,
|  | D_STR_CLEAN |
| ) |  |

"Clean"

## ◆ IRTEXT_CONST_STRING() [41/227]

IRTEXT_CONST_STRING | ( | kClockStr | ,
|  | D_STR_CLOCK |
| ) |  |

"Clock"

## ◆ IRTEXT_CONST_STRING() [42/227]

IRTEXT_CONST_STRING | ( | kCodeStr | ,
|  | D_STR_CODE |
| ) |  |

"Code"

## ◆ IRTEXT_CONST_STRING() [43/227]

IRTEXT_CONST_STRING | ( | kColonSpaceStr | ,
|  | D_STR_COLONSPACE |
| ) |  |

": "

## ◆ IRTEXT_CONST_STRING() [44/227]

IRTEXT_CONST_STRING | ( | kComfortStr | ,
|  | D_STR_COMFORT |
| ) |  |

"Comfort"

## ◆ IRTEXT_CONST_STRING() [45/227]

IRTEXT_CONST_STRING | ( | kCommandStr | ,
|  | D_STR_COMMAND |
| ) |  |

"Command"

## ◆ IRTEXT_CONST_STRING() [46/227]

IRTEXT_CONST_STRING | ( | kCommaSpaceStr | ,
|  | D_STR_COMMASPACE |
| ) |  |

", "

## ◆ IRTEXT_CONST_STRING() [47/227]

IRTEXT_CONST_STRING | ( | kConfigCommandStr | ,
|  | D_STR_CONFIG |
| ) |  |

"Config"

## ◆ IRTEXT_CONST_STRING() [48/227]

IRTEXT_CONST_STRING | ( | kControlCommandStr | ,
|  | D_STR_CONTROL |
| ) |  |

"Control"

## ◆ IRTEXT_CONST_STRING() [49/227]

IRTEXT_CONST_STRING | ( | kCoolingStr | ,
|  | D_STR_COOLING |
| ) |  |

"Cooling"

## ◆ IRTEXT_CONST_STRING() [50/227]

IRTEXT_CONST_STRING | ( | kCoolStr | ,
|  | D_STR_COOL |
| ) |  |

"Cool"

## ◆ IRTEXT_CONST_STRING() [51/227]

IRTEXT_CONST_STRING | ( | kDashStr | ,
|  | D_STR_DASH |
| ) |  |

"-"

## ◆ IRTEXT_CONST_STRING() [52/227]

IRTEXT_CONST_STRING | ( | kDaysStr | ,
|  | D_STR_DAYS |
| ) |  |

"Days"

## ◆ IRTEXT_CONST_STRING() [53/227]

IRTEXT_CONST_STRING | ( | kDayStr | ,
|  | D_STR_DAY |
| ) |  |

"Day"

## ◆ IRTEXT_CONST_STRING() [54/227]

IRTEXT_CONST_STRING | ( | kDehumidifyStr | ,
|  | D_STR_DEHUMIDIFY |
| ) |  |

"Dehumidify"

## ◆ IRTEXT_CONST_STRING() [55/227]

IRTEXT_CONST_STRING | ( | kDg11j104Str | ,
|  | D_STR_DG11J104 |
| ) |  |

"DG11J104"

## ◆ IRTEXT_CONST_STRING() [56/227]

IRTEXT_CONST_STRING | ( | kDg11j13aStr | ,
|  | D_STR_DG11J13A |
| ) |  |

"DG11J13A"

## ◆ IRTEXT_CONST_STRING() [57/227]

IRTEXT_CONST_STRING | ( | kDg11j191Str | ,
|  | D_STR_DG11J191 |
| ) |  |

"DG11J191"

## ◆ IRTEXT_CONST_STRING() [58/227]

IRTEXT_CONST_STRING | ( | kDirectIndirectModeStr | ,
|  | D_STR_DIRECTINDIRECTMODE |
| ) |  |

"Direct/Indirect mode"

## ◆ IRTEXT_CONST_STRING() [59/227]

IRTEXT_CONST_STRING | ( | kDirectStr | ,
|  | D_STR_DIRECT |
| ) |  |

"Direct"

## ◆ IRTEXT_CONST_STRING() [60/227]

IRTEXT_CONST_STRING | ( | kDisplayTempStr | ,
|  | D_STR_DISPLAYTEMP |
| ) |  |

"Display Temp"

## ◆ IRTEXT_CONST_STRING() [61/227]

IRTEXT_CONST_STRING | ( | kDkeStr | ,
|  | D_STR_DKE |
| ) |  |

"DKE"

## ◆ IRTEXT_CONST_STRING() [62/227]

IRTEXT_CONST_STRING | ( | kDownStr | ,
|  | D_STR_DOWN |
| ) |  |

"Down"

## ◆ IRTEXT_CONST_STRING() [63/227]

IRTEXT_CONST_STRING | ( | kDryingStr | ,
|  | D_STR_DRYING |
| ) |  |

"Drying"

## ◆ IRTEXT_CONST_STRING() [64/227]

IRTEXT_CONST_STRING | ( | kDryStr | ,
|  | D_STR_DRY |
| ) |  |

"Dry"

## ◆ IRTEXT_CONST_STRING() [65/227]

IRTEXT_CONST_STRING | ( | kEconoStr | ,
|  | D_STR_ECONO |
| ) |  |

"Econo"

## ◆ IRTEXT_CONST_STRING() [66/227]

IRTEXT_CONST_STRING | ( | kEconoToggleStr | ,
|  | D_STR_ECONOTOGGLE |
| ) |  |

"Econo Toggle"

## ◆ IRTEXT_CONST_STRING() [67/227]

IRTEXT_CONST_STRING | ( | kEyeAutoStr | ,
|  | D_STR_EYEAUTO |
| ) |  |

"Eye Auto"

## ◆ IRTEXT_CONST_STRING() [68/227]

IRTEXT_CONST_STRING | ( | kEyeStr | ,
|  | D_STR_EYE |
| ) |  |

"Eye"

## ◆ IRTEXT_CONST_STRING() [69/227]

IRTEXT_CONST_STRING | ( | kFalseStr | ,
|  | D_STR_FALSE |
| ) |  |

"False"

## ◆ IRTEXT_CONST_STRING() [70/227]

IRTEXT_CONST_STRING | ( | kFan_OnlyStr | ,
|  | D_STR_FAN_ONLY |
| ) |  |

"fan_only" (HA/legacy)

## ◆ IRTEXT_CONST_STRING() [71/227]

IRTEXT_CONST_STRING | ( | kFanOnlyNoSpaceStr | ,
|  | D_STR_FANONLYNOSPACE |
| ) |  |

"FanOnly"

## ◆ IRTEXT_CONST_STRING() [72/227]

IRTEXT_CONST_STRING | ( | kFanOnlyStr | ,
|  | D_STR_FANONLY |
| ) |  |

"fan-only"

## ◆ IRTEXT_CONST_STRING() [73/227]

IRTEXT_CONST_STRING | ( | kFanOnlyWithSpaceStr | ,
|  | D_STR_FANSPACEONLY |
| ) |  |

"Fan Only"

## ◆ IRTEXT_CONST_STRING() [74/227]

IRTEXT_CONST_STRING | ( | kFanStr | ,
|  | D_STR_FAN |
| ) |  |

"Fan"

## ◆ IRTEXT_CONST_STRING() [75/227]

IRTEXT_CONST_STRING | ( | kFastStr | ,
|  | D_STR_FAST |
| ) |  |

"Fast"

## ◆ IRTEXT_CONST_STRING() [76/227]

IRTEXT_CONST_STRING | ( | kFilterStr | ,
|  | D_STR_FILTER |
| ) |  |

"Filter"

## ◆ IRTEXT_CONST_STRING() [77/227]

IRTEXT_CONST_STRING | ( | kFixedStr | ,
|  | D_STR_FIXED |
| ) |  |

"Fixed"

## ◆ IRTEXT_CONST_STRING() [78/227]

IRTEXT_CONST_STRING | ( | kFollowStr | ,
|  | D_STR_FOLLOW |
| ) |  |

"Follow"

## ◆ IRTEXT_CONST_STRING() [79/227]

IRTEXT_CONST_STRING | ( | kFreshStr | ,
|  | D_STR_FRESH |
| ) |  |

"Fresh"

## ◆ IRTEXT_CONST_STRING() [80/227]

IRTEXT_CONST_STRING | ( | kGe6711ar2853mStr | ,
|  | D_STR_GE6711AR2853M |
| ) |  |

"GE6711AR2853M"

## ◆ IRTEXT_CONST_STRING() [81/227]

IRTEXT_CONST_STRING | ( | kGz055be1Str | ,
|  | D_STR_GZ055BE1 |
| ) |  |

"GZ055BE1"

## ◆ IRTEXT_CONST_STRING() [82/227]

IRTEXT_CONST_STRING | ( | kHealthStr | ,
|  | D_STR_HEALTH |
| ) |  |

"Health"

## ◆ IRTEXT_CONST_STRING() [83/227]

IRTEXT_CONST_STRING | ( | kHeatingStr | ,
|  | D_STR_HEATING |
| ) |  |

"Heating"

## ◆ IRTEXT_CONST_STRING() [84/227]

IRTEXT_CONST_STRING | ( | kHeatStr | ,
|  | D_STR_HEAT |
| ) |  |

"Heat"

## ◆ IRTEXT_CONST_STRING() [85/227]

IRTEXT_CONST_STRING | ( | kHighestStr | ,
|  | D_STR_HIGHEST |
| ) |  |

"Highest"

## ◆ IRTEXT_CONST_STRING() [86/227]

IRTEXT_CONST_STRING | ( | kHighStr | ,
|  | D_STR_HIGH |
| ) |  |

"High"

## ◆ IRTEXT_CONST_STRING() [87/227]

IRTEXT_CONST_STRING | ( | kHiStr | ,
|  | D_STR_HI |
| ) |  |

"Hi"

## ◆ IRTEXT_CONST_STRING() [88/227]

IRTEXT_CONST_STRING | ( | kHoldStr | ,
|  | D_STR_HOLD |
| ) |  |

"Hold"

## ◆ IRTEXT_CONST_STRING() [89/227]

IRTEXT_CONST_STRING | ( | kHoursStr | ,
|  | D_STR_HOURS |
| ) |  |

"Hours"

## ◆ IRTEXT_CONST_STRING() [90/227]

IRTEXT_CONST_STRING | ( | kHourStr | ,
|  | D_STR_HOUR |
| ) |  |

"Hour"

## ◆ IRTEXT_CONST_STRING() [91/227]

IRTEXT_CONST_STRING | ( | kHumidStr | ,
|  | D_STR_HUMID |
| ) |  |

"Humid"

## ◆ IRTEXT_CONST_STRING() [92/227]

IRTEXT_CONST_STRING | ( | kIdStr | ,
|  | D_STR_ID |
| ) |  |

"Id" / Device Identifier

## ◆ IRTEXT_CONST_STRING() [93/227]

IRTEXT_CONST_STRING | ( | kIFeelReportStr | ,
|  | D_STR_IFEELREPORT |
| ) |  |

"IFeel Report"

## ◆ IRTEXT_CONST_STRING() [94/227]

IRTEXT_CONST_STRING | ( | kIFeelStr | ,
|  | D_STR_IFEEL |
| ) |  |

"IFeel"

## ◆ IRTEXT_CONST_STRING() [95/227]

IRTEXT_CONST_STRING | ( | kIndirectStr | ,
|  | D_STR_INDIRECT |
| ) |  |

"Indirect"

## ◆ IRTEXT_CONST_STRING() [96/227]

IRTEXT_CONST_STRING | ( | kInsideStr | ,
|  | D_STR_INSIDE |
| ) |  |

"Inside"

## ◆ IRTEXT_CONST_STRING() [97/227]

IRTEXT_CONST_STRING | ( | kIonStr | ,
|  | D_STR_ION |
| ) |  |

"Ion"

## ◆ IRTEXT_CONST_STRING() [98/227]

IRTEXT_CONST_STRING | ( | kISeeStr | ,
|  | D_STR_ISEE |
| ) |  |

"ISee"

## ◆ IRTEXT_CONST_STRING() [99/227]

IRTEXT_CONST_STRING | ( | kJkeStr | ,
|  | D_STR_JKE |
| ) |  |

"JKE"

## ◆ IRTEXT_CONST_STRING() [100/227]

IRTEXT_CONST_STRING | ( | kKeyStr | ,
|  | D_STR_KEY |
| ) |  |

"Key"

## ◆ IRTEXT_CONST_STRING() [101/227]

IRTEXT_CONST_STRING | ( | kKkg29ac1Str | ,
|  | D_STR_KKG29AC1 |
| ) |  |

"KKG29AC1"

## ◆ IRTEXT_CONST_STRING() [102/227]

IRTEXT_CONST_STRING | ( | kKkg9ac1Str | ,
|  | D_STR_KKG9AC1 |
| ) |  |

"KKG9AC1"

## ◆ IRTEXT_CONST_STRING() [103/227]

IRTEXT_CONST_STRING | ( | kLastStr | ,
|  | D_STR_LAST |
| ) |  |

"Last"

## ◆ IRTEXT_CONST_STRING() [104/227]

IRTEXT_CONST_STRING | ( | kLeftMaxNoSpaceStr | ,
|  | D_STR_LEFTMAX_NOSPACE |
| ) |  |

"LeftMax"

## ◆ IRTEXT_CONST_STRING() [105/227]

IRTEXT_CONST_STRING | ( | kLeftMaxStr | ,
|  | D_STR_LEFTMAX |
| ) |  |

"Left Max"

## ◆ IRTEXT_CONST_STRING() [106/227]

IRTEXT_CONST_STRING | ( | kLeftStr | ,
|  | D_STR_LEFT |
| ) |  |

"Left"

## ◆ IRTEXT_CONST_STRING() [107/227]

IRTEXT_CONST_STRING | ( | kLg6711a20083vStr | ,
|  | D_STR_LG6711A20083V |
| ) |  |

"LG6711A20083V"

## ◆ IRTEXT_CONST_STRING() [108/227]

IRTEXT_CONST_STRING | ( | kLightStr | ,
|  | D_STR_LIGHT |
| ) |  |

"Light"

## ◆ IRTEXT_CONST_STRING() [109/227]

IRTEXT_CONST_STRING | ( | kLightToggleStr | ,
|  | D_STR_LIGHTTOGGLE |
| ) |  |

"Light Toggle" "Outside Quiet"

## ◆ IRTEXT_CONST_STRING() [110/227]

IRTEXT_CONST_STRING | ( | kLkeStr | ,
|  | D_STR_LKE |
| ) |  |

"LKE"

## ◆ IRTEXT_CONST_STRING() [111/227]

IRTEXT_CONST_STRING | ( | kLockStr | ,
|  | D_STR_LOCK |
| ) |  |

"Lock"

## ◆ IRTEXT_CONST_STRING() [112/227]

IRTEXT_CONST_STRING | ( | kLoStr | ,
|  | D_STR_LO |
| ) |  |

"Lo"

## ◆ IRTEXT_CONST_STRING() [113/227]

IRTEXT_CONST_STRING | ( | kLoudStr | ,
|  | D_STR_LOUD |
| ) |  |

"Loud"

## ◆ IRTEXT_CONST_STRING() [114/227]

IRTEXT_CONST_STRING | ( | kLowerStr | ,
|  | D_STR_LOWER |
| ) |  |

"Lower"

## ◆ IRTEXT_CONST_STRING() [115/227]

IRTEXT_CONST_STRING | ( | kLowestStr | ,
|  | D_STR_LOWEST |
| ) |  |

"Lowest"

## ◆ IRTEXT_CONST_STRING() [116/227]

IRTEXT_CONST_STRING | ( | kLowStr | ,
|  | D_STR_LOW |
| ) |  |

"Low"

## ◆ IRTEXT_CONST_STRING() [117/227]

IRTEXT_CONST_STRING | ( | kManualStr | ,
|  | D_STR_MANUAL |
| ) |  |

"Manual"

## ◆ IRTEXT_CONST_STRING() [118/227]

IRTEXT_CONST_STRING | ( | kMaximumStr | ,
|  | D_STR_MAXIMUM |
| ) |  |

"Maximum"

## ◆ IRTEXT_CONST_STRING() [119/227]

IRTEXT_CONST_STRING | ( | kMaxLeftNoSpaceStr | ,
|  | D_STR_MAXLEFT_NOSPACE |
| ) |  |

"MaxLeft"

## ◆ IRTEXT_CONST_STRING() [120/227]

IRTEXT_CONST_STRING | ( | kMaxLeftStr | ,
|  | D_STR_MAXLEFT |
| ) |  |

"Max Left"

## ◆ IRTEXT_CONST_STRING() [121/227]

IRTEXT_CONST_STRING | ( | kMaxRightNoSpaceStr | ,
|  | D_STR_MAXRIGHT_NOSPACE |
| ) |  |

"MaxRight"

## ◆ IRTEXT_CONST_STRING() [122/227]

IRTEXT_CONST_STRING | ( | kMaxRightStr | ,
|  | D_STR_MAXRIGHT |
| ) |  |

"Max Right"

## ◆ IRTEXT_CONST_STRING() [123/227]

IRTEXT_CONST_STRING | ( | kMaxStr | ,
|  | D_STR_MAX |
| ) |  |

"Max"

## ◆ IRTEXT_CONST_STRING() [124/227]

IRTEXT_CONST_STRING | ( | kMedHighStr | ,
|  | D_STR_MED_HIGH |
| ) |  |

"Med-high"

## ◆ IRTEXT_CONST_STRING() [125/227]

IRTEXT_CONST_STRING | ( | kMediumStr | ,
|  | D_STR_MEDIUM |
| ) |  |

"Medium"

## ◆ IRTEXT_CONST_STRING() [126/227]

IRTEXT_CONST_STRING | ( | kMedStr | ,
|  | D_STR_MED |
| ) |  |

"Med"

## ◆ IRTEXT_CONST_STRING() [127/227]

IRTEXT_CONST_STRING | ( | kMiddleStr | ,
|  | D_STR_MIDDLE |
| ) |  |

"Middle"

## ◆ IRTEXT_CONST_STRING() [128/227]

IRTEXT_CONST_STRING | ( | kMidStr | ,
|  | D_STR_MID |
| ) |  |

"Mid"

## ◆ IRTEXT_CONST_STRING() [129/227]

IRTEXT_CONST_STRING | ( | kMinimumStr | ,
|  | D_STR_MINIMUM |
| ) |  |

"Minimum"

## ◆ IRTEXT_CONST_STRING() [130/227]

IRTEXT_CONST_STRING | ( | kMinStr | ,
|  | D_STR_MIN |
| ) |  |

"Min"

## ◆ IRTEXT_CONST_STRING() [131/227]

IRTEXT_CONST_STRING | ( | kMinutesStr | ,
|  | D_STR_MINUTES |
| ) |  |

"Minutes"

## ◆ IRTEXT_CONST_STRING() [132/227]

IRTEXT_CONST_STRING | ( | kMinuteStr | ,
|  | D_STR_MINUTE |
| ) |  |

"Minute"

## ◆ IRTEXT_CONST_STRING() [133/227]

IRTEXT_CONST_STRING | ( | kModelStr | ,
|  | D_STR_MODEL |
| ) |  |

"Model"

## ◆ IRTEXT_CONST_STRING() [134/227]

IRTEXT_CONST_STRING | ( | kModeStr | ,
|  | D_STR_MODE |
| ) |  |

"Mode"

## ◆ IRTEXT_CONST_STRING() [135/227]

IRTEXT_CONST_STRING | ( | kMouldStr | ,
|  | D_STR_MOULD |
| ) |  |

"Mould"

## ◆ IRTEXT_CONST_STRING() [136/227]

IRTEXT_CONST_STRING | ( | kMoveStr | ,
|  | D_STR_MOVE |
| ) |  |

"Move"

## ◆ IRTEXT_CONST_STRING() [137/227]

IRTEXT_CONST_STRING | ( | kNAStr | ,
|  | D_STR_NA |
| ) |  |

"N/A"

## ◆ IRTEXT_CONST_STRING() [138/227]

IRTEXT_CONST_STRING | ( | kNightStr | ,
|  | D_STR_NIGHT |
| ) |  |

"Night"

## ◆ IRTEXT_CONST_STRING() [139/227]

IRTEXT_CONST_STRING | ( | kNkeStr | ,
|  | D_STR_NKE |
| ) |  |

"NKE"

## ◆ IRTEXT_CONST_STRING() [140/227]

IRTEXT_CONST_STRING | ( | kNoStr | ,
|  | D_STR_NO |
| ) |  |

"No"

## ◆ IRTEXT_CONST_STRING() [141/227]

IRTEXT_CONST_STRING | ( | kNowStr | ,
|  | D_STR_NOW |
| ) |  |

"Now"

## ◆ IRTEXT_CONST_STRING() [142/227]

IRTEXT_CONST_STRING | ( | kOffStr | ,
|  | D_STR_OFF |
| ) |  |

"Off"

## ◆ IRTEXT_CONST_STRING() [143/227]

IRTEXT_CONST_STRING | ( | kOffTimerStr | ,
|  | D_STR_OFFTIMER |
| ) |  |

"Off Timer"

## ◆ IRTEXT_CONST_STRING() [144/227]

IRTEXT_CONST_STRING | ( | kOnStr | ,
|  | D_STR_ON |
| ) |  |

"On"

## ◆ IRTEXT_CONST_STRING() [145/227]

IRTEXT_CONST_STRING | ( | kOnTimerStr | ,
|  | D_STR_ONTIMER |
| ) |  |

"On Timer"

## ◆ IRTEXT_CONST_STRING() [146/227]

IRTEXT_CONST_STRING | ( | kOutsideQuietStr | ,
|  | D_STR_OUTSIDEQUIET |
| ) |  |

## ◆ IRTEXT_CONST_STRING() [147/227]

IRTEXT_CONST_STRING | ( | kOutsideStr | ,
|  | D_STR_OUTSIDE |
| ) |  |

"Outside"

## ◆ IRTEXT_CONST_STRING() [148/227]

IRTEXT_CONST_STRING | ( | kPanasonicCkpStr | ,
|  | D_STR_PANASONICCKP |
| ) |  |

"PANASONICCKP"

## ◆ IRTEXT_CONST_STRING() [149/227]

IRTEXT_CONST_STRING | ( | kPanasonicDkeStr | ,
|  | D_STR_PANASONICDKE |
| ) |  |

"PANASONICDKE"

## ◆ IRTEXT_CONST_STRING() [150/227]

IRTEXT_CONST_STRING | ( | kPanasonicJkeStr | ,
|  | D_STR_PANASONICJKE |
| ) |  |

"PANASONICJKE"

## ◆ IRTEXT_CONST_STRING() [151/227]

IRTEXT_CONST_STRING | ( | kPanasonicLkeStr | ,
|  | D_STR_PANASONICLKE |
| ) |  |

"PANASONICLKE"

## ◆ IRTEXT_CONST_STRING() [152/227]

IRTEXT_CONST_STRING | ( | kPanasonicNkeStr | ,
|  | D_STR_PANASONICNKE |
| ) |  |

"PANASONICNKE"

## ◆ IRTEXT_CONST_STRING() [153/227]

IRTEXT_CONST_STRING | ( | kPanasonicPkrStr | ,
|  | D_STR_PANASONICPKR |
| ) |  |

"PANASONICPKR"

## ◆ IRTEXT_CONST_STRING() [154/227]

IRTEXT_CONST_STRING | ( | kPanasonicRkrStr | ,
|  | D_STR_PANASONICRKR |
| ) |  |

"PANASONICRKR"

## ◆ IRTEXT_CONST_STRING() [155/227]

IRTEXT_CONST_STRING | ( | kPkrStr | ,
|  | D_STR_PKR |
| ) |  |

"PKR"

## ◆ IRTEXT_CONST_STRING() [156/227]

IRTEXT_CONST_STRING | ( | kPowerButtonStr | ,
|  | D_STR_POWERBUTTON |
| ) |  |

"Power Button"

## ◆ IRTEXT_CONST_STRING() [157/227]

IRTEXT_CONST_STRING | ( | kPowerfulStr | ,
|  | D_STR_POWERFUL |
| ) |  |

"Powerful"

## ◆ IRTEXT_CONST_STRING() [158/227]

IRTEXT_CONST_STRING | ( | kPowerStr | ,
|  | D_STR_POWER |
| ) |  |

"Power"

## ◆ IRTEXT_CONST_STRING() [159/227]

IRTEXT_CONST_STRING | ( | kPowerToggleStr | ,
|  | D_STR_POWERTOGGLE |
| ) |  |

"Power Toggle"

## ◆ IRTEXT_CONST_STRING() [160/227]

IRTEXT_CONST_STRING | ( | kPreviousPowerStr | ,
|  | D_STR_PREVIOUSPOWER |
| ) |  |

"Previous Power"

## ◆ IRTEXT_CONST_STRING() [161/227]

IRTEXT_CONST_STRING | ( | kProtocolStr | ,
|  | D_STR_PROTOCOL |
| ) |  |

"Protocol"

## ◆ IRTEXT_CONST_STRING() [162/227]

IRTEXT_CONST_STRING | ( | kPurifyStr | ,
|  | D_STR_PURIFY |
| ) |  |

"Purify"

## ◆ IRTEXT_CONST_STRING() [163/227]

IRTEXT_CONST_STRING | ( | kQuietStr | ,
|  | D_STR_QUIET |
| ) |  |

"Quiet"

## ◆ IRTEXT_CONST_STRING() [164/227]

IRTEXT_CONST_STRING | ( | kRecycleStr | ,
|  | D_STR_RECYCLE |
| ) |  |

"Recycle"

## ◆ IRTEXT_CONST_STRING() [165/227]

IRTEXT_CONST_STRING | ( | kRepeatStr | ,
|  | D_STR_REPEAT |
| ) |  |

"Repeat"

## ◆ IRTEXT_CONST_STRING() [166/227]

IRTEXT_CONST_STRING | ( | kRightMaxNoSpaceStr | ,
|  | D_STR_RIGHTMAX_NOSPACE |
| ) |  |

"RightMax"

## ◆ IRTEXT_CONST_STRING() [167/227]

IRTEXT_CONST_STRING | ( | kRightMaxStr | ,
|  | D_STR_RIGHTMAX |
| ) |  |

"Right Max"

## ◆ IRTEXT_CONST_STRING() [168/227]

IRTEXT_CONST_STRING | ( | kRightStr | ,
|  | D_STR_RIGHT |
| ) |  |

"Right"

## ◆ IRTEXT_CONST_STRING() [169/227]

IRTEXT_CONST_STRING | ( | kRkrStr | ,
|  | D_STR_RKR |
| ) |  |

"RKR"

## ◆ IRTEXT_CONST_STRING() [170/227]

IRTEXT_CONST_STRING | ( | kRlt0541htaaStr | ,
|  | D_STR_RLT0541HTA_A |
| ) |  |

"R-LT0541-HTA-A"

## ◆ IRTEXT_CONST_STRING() [171/227]

IRTEXT_CONST_STRING | ( | kRlt0541htabStr | ,
|  | D_STR_RLT0541HTA_B |
| ) |  |

"R-LT0541-HTA-B"

## ◆ IRTEXT_CONST_STRING() [172/227]

IRTEXT_CONST_STRING | ( | kRoomStr | ,
|  | D_STR_ROOM |
| ) |  |

"Room"

## ◆ IRTEXT_CONST_STRING() [173/227]

IRTEXT_CONST_STRING | ( | kSaveStr | ,
|  | D_STR_SAVE |
| ) |  |

"Save"

## ◆ IRTEXT_CONST_STRING() [174/227]

IRTEXT_CONST_STRING | ( | kScheduleStr | ,
|  | D_STR_SCHEDULE |
| ) |  |

"Schedule"

## ◆ IRTEXT_CONST_STRING() [175/227]

IRTEXT_CONST_STRING | ( | kSecondsStr | ,
|  | D_STR_SECONDS |
| ) |  |

"Seconds"

## ◆ IRTEXT_CONST_STRING() [176/227]

IRTEXT_CONST_STRING | ( | kSecondStr | ,
|  | D_STR_SECOND |
| ) |  |

"Second"

## ◆ IRTEXT_CONST_STRING() [177/227]

IRTEXT_CONST_STRING | ( | kSensorStr | ,
|  | D_STR_SENSOR |
| ) |  |

"Sensor"

## ◆ IRTEXT_CONST_STRING() [178/227]

IRTEXT_CONST_STRING | ( | kSensorTempStr | ,
|  | D_STR_SENSORTEMP |
| ) |  |

"Sensor Temp"

## ◆ IRTEXT_CONST_STRING() [179/227]

IRTEXT_CONST_STRING | ( | kSetStr | ,
|  | D_STR_SET |
| ) |  |

"Set"

## ◆ IRTEXT_CONST_STRING() [180/227]

IRTEXT_CONST_STRING | ( | kSetTimerCommandStr | ,
|  | D_STR_SET_TIMER |
| ) |  |

"Set Timer"

## ◆ IRTEXT_CONST_STRING() [181/227]

IRTEXT_CONST_STRING | ( | kSilentStr | ,
|  | D_STR_SILENT |
| ) |  |

"Silent"

## ◆ IRTEXT_CONST_STRING() [182/227]

IRTEXT_CONST_STRING | ( | kSleepStr | ,
|  | D_STR_SLEEP |
| ) |  |

"Sleep"

## ◆ IRTEXT_CONST_STRING() [183/227]

IRTEXT_CONST_STRING | ( | kSleepTimerStr | ,
|  | D_STR_SLEEP_TIMER |
| ) |  |

"Sleep Timer"

## ◆ IRTEXT_CONST_STRING() [184/227]

IRTEXT_CONST_STRING | ( | kSlowStr | ,
|  | D_STR_SLOW |
| ) |  |

"Slow"

## ◆ IRTEXT_CONST_STRING() [185/227]

IRTEXT_CONST_STRING | ( | kSpaceLBraceStr | ,
|  | D_STR_SPACELBRACE |
| ) |  |

" ("

## ◆ IRTEXT_CONST_STRING() [186/227]

IRTEXT_CONST_STRING | ( | kSpecialStr | ,
|  | D_STR_SPECIAL |
| ) |  |

"Special"

## ◆ IRTEXT_CONST_STRING() [187/227]

IRTEXT_CONST_STRING | ( | kStartStr | ,
|  | D_STR_START |
| ) |  |

"Start"

## ◆ IRTEXT_CONST_STRING() [188/227]

IRTEXT_CONST_STRING | ( | kStepStr | ,
|  | D_STR_STEP |
| ) |  |

"Step"

## ◆ IRTEXT_CONST_STRING() [189/227]

IRTEXT_CONST_STRING | ( | kStopStr | ,
|  | D_STR_STOP |
| ) |  |

"Stop"

## ◆ IRTEXT_CONST_STRING() [190/227]

IRTEXT_CONST_STRING | ( | kSuperStr | ,
|  | D_STR_SUPER |
| ) |  |

"Super"

## ◆ IRTEXT_CONST_STRING() [191/227]

IRTEXT_CONST_STRING | ( | kSwingHStr | ,
|  | D_STR_SWINGH |
| ) |  |

"SwingH"

## ◆ IRTEXT_CONST_STRING() [192/227]

IRTEXT_CONST_STRING | ( | kSwingStr | ,
|  | D_STR_SWING |
| ) |  |

"Swing"

## ◆ IRTEXT_CONST_STRING() [193/227]

IRTEXT_CONST_STRING | ( | kSwingVModeStr | ,
|  | D_STR_SWINGVMODE |
| ) |  |

"Swing(V) Mode"

## ◆ IRTEXT_CONST_STRING() [194/227]

IRTEXT_CONST_STRING | ( | kSwingVStr | ,
|  | D_STR_SWINGV |
| ) |  |

"SwingV"

## ◆ IRTEXT_CONST_STRING() [195/227]

IRTEXT_CONST_STRING | ( | kSwingVToggleStr | ,
|  | D_STR_SWINGVTOGGLE |
| ) |  |

"Swing(V) Toggle"

## ◆ IRTEXT_CONST_STRING() [196/227]

IRTEXT_CONST_STRING | ( | kTac09chsdStr | ,
|  | D_STR_TAC09CHSD |
| ) |  |

"TAC09CHSD"

## ◆ IRTEXT_CONST_STRING() [197/227]

IRTEXT_CONST_STRING | ( | kTempDownStr | ,
|  | D_STR_TEMPDOWN |
| ) |  |

"Temp Down"

## ◆ IRTEXT_CONST_STRING() [198/227]

IRTEXT_CONST_STRING | ( | kTempStr | ,
|  | D_STR_TEMP |
| ) |  |

"Temp"

## ◆ IRTEXT_CONST_STRING() [199/227]

IRTEXT_CONST_STRING | ( | kTempUpStr | ,
|  | D_STR_TEMPUP |
| ) |  |

"Temp Up"

## ◆ IRTEXT_CONST_STRING() [200/227]

IRTEXT_CONST_STRING | ( | kThreeLetterDayOfWeekStr | ,
|  | D_STR_THREELETTERDAYS |
| ) |  |

"SunMonTueWedThuFriSat"

## ◆ IRTEXT_CONST_STRING() [201/227]

IRTEXT_CONST_STRING | ( | kTimerActiveDaysStr | ,
|  | D_STR_TIMER_ACTIVE_DAYS |
| ) |  |

"TimerActiveDays"

## ◆ IRTEXT_CONST_STRING() [202/227]

IRTEXT_CONST_STRING | ( | kTimerModeStr | ,
|  | D_STR_TIMERMODE |
| ) |  |

"Timer Mode"

## ◆ IRTEXT_CONST_STRING() [203/227]

IRTEXT_CONST_STRING | ( | kTimerStr | ,
|  | D_STR_TIMER |
| ) |  |

"Timer"

## ◆ IRTEXT_CONST_STRING() [204/227]

IRTEXT_CONST_STRING | ( | kToggleStr | ,
|  | D_STR_TOGGLE |
| ) |  |

"Toggle"

## ◆ IRTEXT_CONST_STRING() [205/227]

IRTEXT_CONST_STRING | ( | kTopStr | ,
|  | D_STR_TOP |
| ) |  |

"Top"

## ◆ IRTEXT_CONST_STRING() [206/227]

IRTEXT_CONST_STRING | ( | kTrueStr | ,
|  | D_STR_TRUE |
| ) |  |

"True"

## ◆ IRTEXT_CONST_STRING() [207/227]

IRTEXT_CONST_STRING | ( | kTurboStr | ,
|  | D_STR_TURBO |
| ) |  |

"Turbo"

## ◆ IRTEXT_CONST_STRING() [208/227]

IRTEXT_CONST_STRING | ( | kTurboToggleStr | ,
|  | D_STR_TURBOTOGGLE |
| ) |  |

"Turbo Toggle"

## ◆ IRTEXT_CONST_STRING() [209/227]

IRTEXT_CONST_STRING | ( | kTypeStr | ,
|  | D_STR_TYPE |
| ) |  |

"Type"

## ◆ IRTEXT_CONST_STRING() [210/227]

IRTEXT_CONST_STRING | ( | kUnknownStr | ,
|  | D_STR_UNKNOWN |
| ) |  |

"Unknown"

## ◆ IRTEXT_CONST_STRING() [211/227]

IRTEXT_CONST_STRING | ( | kUpperMiddleStr | ,
|  | D_STR_UPPER_MIDDLE |
| ) |  |

"Upper-Middle"

## ◆ IRTEXT_CONST_STRING() [212/227]

IRTEXT_CONST_STRING | ( | kUpperStr | ,
|  | D_STR_UPPER |
| ) |  |

"Upper"

## ◆ IRTEXT_CONST_STRING() [213/227]

IRTEXT_CONST_STRING | ( | kUpStr | ,
|  | D_STR_UP |
| ) |  |

"Up"

## ◆ IRTEXT_CONST_STRING() [214/227]

IRTEXT_CONST_STRING | ( | kV9014557AStr | ,
|  | D_STR_V9014557_A |
| ) |  |

"V9014557-A"

## ◆ IRTEXT_CONST_STRING() [215/227]

IRTEXT_CONST_STRING | ( | kV9014557BStr | ,
|  | D_STR_V9014557_B |
| ) |  |

"V9014557-B"

## ◆ IRTEXT_CONST_STRING() [216/227]

IRTEXT_CONST_STRING | ( | kValueStr | ,
|  | D_STR_VALUE |
| ) |  |

"Value"

## ◆ IRTEXT_CONST_STRING() [217/227]

IRTEXT_CONST_STRING | ( | kVaneStr | ,
|  | D_STR_VANE |
| ) |  |

"Vane"

## ◆ IRTEXT_CONST_STRING() [218/227]

IRTEXT_CONST_STRING | ( | kWallStr | ,
|  | D_STR_WALL |
| ) |  |

"Wall"

## ◆ IRTEXT_CONST_STRING() [219/227]

IRTEXT_CONST_STRING | ( | kWeeklyTimerStr | ,
|  | D_STR_WEEKLYTIMER |
| ) |  |

"WeeklyTimer"

## ◆ IRTEXT_CONST_STRING() [220/227]

IRTEXT_CONST_STRING | ( | kWideStr | ,
|  | D_STR_WIDE |
| ) |  |

"Wide"

## ◆ IRTEXT_CONST_STRING() [221/227]

IRTEXT_CONST_STRING | ( | kWifiStr | ,
|  | D_STR_WIFI |
| ) |  |

"Wifi"

## ◆ IRTEXT_CONST_STRING() [222/227]

IRTEXT_CONST_STRING | ( | kXFanStr | ,
|  | D_STR_XFAN |
| ) |  |

"XFan"

## ◆ IRTEXT_CONST_STRING() [223/227]

IRTEXT_CONST_STRING | ( | kYaw1fStr | ,
|  | D_STR_YAW1F |
| ) |  |

"YAW1F"

## ◆ IRTEXT_CONST_STRING() [224/227]

IRTEXT_CONST_STRING | ( | kYbofbStr | ,
|  | D_STR_YBOFB |
| ) |  |

"YBOFB"

## ◆ IRTEXT_CONST_STRING() [225/227]

IRTEXT_CONST_STRING | ( | kYesStr | ,
|  | D_STR_YES |
| ) |  |

"Yes"

## ◆ IRTEXT_CONST_STRING() [226/227]

IRTEXT_CONST_STRING | ( | kYx1fsfStr | ,
|  | D_STR_YX1FSF |
| ) |  |

"YX1FSF"

## ◆ IRTEXT_CONST_STRING() [227/227]

IRTEXT_CONST_STRING | ( | kZoneFollowStr | ,
|  | D_STR_ZONEFOLLOW |
| ) |  |

"Zone Follow"

## Variable Documentation

## ◆ kTimeSep

const char kTimeSep = D_CHR_TIME_SEP

':'